# RCS Information:
#
#  $Id$
#  $Revision$
#  $Date$
#  $Author$
#  $Locker$
#  
#*****************************************************************************
#
#  Copyright (C) 2002,  Bill Pierce 
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#  Bill Pierce can be contacted at:
#  7862 NE 148th St. 
#  Kenmore, WA 98028
#
#****************************************************************************/
#
#******************************************************************************
#
# Name -- install.sh 
#
#
# Purpose -- install script for fcping 
#
#
# Remarks --  
#
#
# Language Version --  Bourn type shell
#
# Platforms supported --
#
# Solaris circa 2.7,       sh or bash 
# Linux circa 2.2 kernel,  sh or bash 
#
# Original Author  Bill Pierce 6-9-02 
# 
#*****************************************************************************

#*****************************************************************************
# Common Definitions.
#*****************************************************************************

BINARY_NAME=fcping
LIBRARY_NAME=libHBAAPI.so 
BINARY_INSTALL_DIR=/usr/bin
LIBRARY_INSTALL_DIR=/usr/lib

#*****************************************************************************
# main. 
#*****************************************************************************

# Install the library.
if [ ! -f "$LIBRARY_INSTALL_DIR/$LIBRARY_NAME" ]; then
   echo "Installing $LIBRARY_NAME in $LIBRARY_INSTALL_DIR"
   cp $LIBRARY_NAME $LIBRARY_INSTALL_DIR
else 
   echo "$LIBRARY_INSTALL_DIR/$LIBRARY_NAME already installed, exiting!"
   exit
fi

# Check the binary and set permissions.

if [ -f "$BINARY_NAME" ]; then
   chmod 555 $BINARY_NAME
else
   echo "$BINARY_NAME not built, exiting!"
   exit
fi

# Install the binary.
if [ ! -f "$BINARY_INSTALL_DIR/$BINARY_NAME" ]; then
   echo "Installing $BINARY_NAME in $BINARY_INSTALL_DIR"
   cp $BINARY_NAME $BINARY_INSTALL_DIR
else 
   echo "$BINARY_INSTALL_DIR/$BINARY_NAME already installed, exiting!"
   exit
fi

#*****************************************************************************
# $Log : $
#*****************************************************************************

